Get scenario data

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /public/v1/project-list/projects/{projectId}/models/{modelId}/scenarios/{scenarioId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • modelId integer(int64) Required
application/json

Body Required

  • columns array[string]
  • dataDate string(date-time)

Responses

  • 200 */*

    OK

    Additional properties are allowed.

POST /public/v1/project-list/projects/{projectId}/models/{modelId}/scenarios/{scenarioId}
curl \
 --request POST 'https://live.smartpmtech.com/public/v1/project-list/projects/{projectId}/models/{modelId}/scenarios/{scenarioId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "columns": [
    "string"
  ],
  "dataDate": "2026-05-04T09:42:00Z"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "columns": [
    "string"
  ],
  "dataDate": "2026-05-04T09:42:00Z"
}
Response examples (200)
{}